package org.rcisoft.business.opmArticle.entity;


import lombok.Data;

import java.util.List;

@Data
public class ArticleCommentVO {


    /**
     * 业务Id
     */
    Integer businessId;

    /**
     * 会员编号
     */
    String memCode;

    /**
     * 评论内容
     */
    String content;

    /**
     * 父级Id
     */
    Integer parentId;

    /**
     * 用户头像
     */
    String avatarUrl;

    /**
     * 用户头像ID
     */
    Integer avatarId;

    /**
     * 会员昵称
     */
    private String memNickName;

    /**
     * 评论创建时间
     */
    private String createDate;

    /**
     * 点赞数
     */
    private Integer likeCount;

    /**
     * 回复数
     */
    private Integer replyCount;

    /**
     * 子评论
     */
    private List<ArticleCommentVO> childrenCommentList;
}
